## org.jgroups.blocks.executor
Class Executions.StreamableCallable

    java.lang.Object
      org.jgroups.blocks.executor.Executions.StreamableCallable

All Implemented Interfaces:
  java.util.concurrent.Callable<java.lang.Object>, Streamable

Enclosing class:
  Executions

    protected static class Executions.StreamableCallable

extends java.lang.Object
implements java.util.concurrent.Callable<java.lang.Object>, Streamable

Field Summary
`protected java.lang.Object[]` `_args`
`protected java.lang.Class<? extends java.util.concurrent.Callable<?>>` `_classCallable`
`protected short` `_constructorNumber`

Constructor Summary
`Executions.StreamableCallable()`
`Executions.StreamableCallable(java.lang.Class<? extends java.util.concurrent.Callable<?>> classCallable, byte constructorNumber, java.lang.Object... args)`

Method Summary
`java.lang.Object` `call()`
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`java.lang.String` `toString()`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _classCallable

    protected java.lang.Class<? extends java.util.concurrent.Callable<?>> _classCallable

### _constructorNumber

    protected short _constructorNumber

### _args

    protected java.lang.Object[] _args

Constructor Detail

### Executions.StreamableCallable

    public Executions.StreamableCallable()

### Executions.StreamableCallable

    public Executions.StreamableCallable(java.lang.Class<? extends java.util.concurrent.Callable<?>> classCallable,
                                         byte constructorNumber,
                                         java.lang.Object... args)

Method Detail

### call

    public java.lang.Object call()
                          throws java.lang.Exception

  Specified by:
    `call` in interface `java.util.concurrent.Callable<java.lang.Object>`
  Throws:
    `java.lang.Exception`

### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

  Description copied from interface: `Streamable`
  Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

  Specified by:
    `writeTo` in interface `Streamable`
  Throws:
    `java.io.IOException`

### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

  Description copied from interface: `Streamable`
  Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

  Specified by:
    `readFrom` in interface `Streamable`
  Throws:
    `java.io.IOException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.